[IMP]Netdata : use docker cmd instead of overwrite

This commit is contained in:
Fabien BOURGEOIS 2022-02-21 18:40:29 +01:00
parent 1caf81cf57
commit 4f2c9b6eff
3 changed files with 5 additions and 37 deletions

View File

@ -2,6 +2,5 @@ FROM netdata/netdata
MAINTAINER Yaltik - Fabien Bourgeois <fabien@yaltik.com>
# Override default configuration
COPY netdata.conf /
COPY run.sh /usr/sbin/run.sh
RUN chmod +x /usr/sbin/run.sh
COPY netdata.conf /netdata.conf
CMD ["-c", "/netdata.conf"]

View File

@ -18,7 +18,7 @@
# glibc malloc arena max for plugins = 1
# hostname = netdata.dalby
# history = 3996
history = 86400
history = 259200
# update every = 1
update every = 5
# config directory = /etc/netdata
@ -32,10 +32,10 @@
# plugins directory = "/usr/libexec/netdata/plugins.d" "/etc/netdata/custom-plugins.d"
# memory mode = dbengine
# page cache size = 32
page cache size = 128
page cache size = 64
# dbengine disk space = 256
# dbengine multihost disk space = 256
dbengine multihost disk space = 2048
dbengine multihost disk space = 1024
# memory deduplication (ksm) = yes
# timezone = Europe/Paris
# debug flags = 0x0000000000000000

View File

@ -1,31 +0,0 @@
#!/usr/bin/env bash
#
# Entry point script for netdata
#
# Copyright: 2018 and later Netdata Inc.
# SPDX-License-Identifier: GPL-3.0-or-later
#
# Author : Pavlos Emm. Katsoulakis <paul@netdata.cloud>
# Author : Austin S. Hemmelgarn <austin@netdata.cloud>
set -e
if [ ! "${DO_NOT_TRACK:-0}" -eq 0 ] || [ -n "$DO_NOT_TRACK" ]; then
touch /etc/netdata/.opt-out-from-anonymous-statistics
fi
if [ -n "${PGID}" ]; then
echo "Creating docker group ${PGID}"
addgroup -g "${PGID}" "docker" || echo >&2 "Could not add group docker with ID ${PGID}, its already there probably"
echo "Assign netdata user to docker group ${PGID}"
usermod -a -G "${PGID}" "${DOCKER_USR}" || echo >&2 "Could not add netdata user to group docker with ID ${PGID}"
fi
if [ -n "${NETDATA_CLAIM_URL}" ] && [ -n "${NETDATA_CLAIM_TOKEN}" ] && [ ! -f /var/lib/netdata/cloud.d/claimed_id ]; then
/usr/sbin/netdata-claim.sh -token="${NETDATA_CLAIM_TOKEN}" \
-url="${NETDATA_CLAIM_URL}" \
${NETDATA_CLAIM_ROOMS:+-rooms="${NETDATA_CLAIM_ROOMS}"} \
${NETDATA_CLAIM_PROXY:+-proxy="${NETDATA_CLAIM_PROXY}"} \
-daemon-not-running
fi
exec /usr/sbin/netdata -u "${DOCKER_USR}" -D -s /host -p "${NETDATA_LISTENER_PORT}" -c /netdata.conf -W set web "web files group" root -W set web "web files owner" root "$@"